#include <kernel/OS.h>
#include <pthread.h>
#include <sys/types.h>

thread_id xxxxx_thread(thread_func func,
                       const char* name,
                       int32 priority,
                       void* data)
{
  pthread_attr_t attr;
  pthread_t thread;
  thread_id id;
  
  pthread_attr_init(&attr);
  pthread_attr_setstacksize(&attr, 1048576);
  
  pthread_create(&thread, &attr, func, data);
  id = get_pthread_thread_id(thread);
  rename_thread(id, name);
  return id;
}
